FROM python:3.10.1
RUN mkdir -p "/home/opt/lcc-wn"
RUN apt update &&apt install curl -y
RUN pip3 install requests loguru curl_cffi tls_client pyquery nacos-sdk-python pyyaml pymongo
RUN curl -fsSL https://deb.nodesource.com/setup_18.x |  bash -
RUN apt install nodejs -y
WORKDIR /home/opt/lcc-wn/
RUN apt install -y make g++
COPY src/package.json /home/opt/lcc-wn/package.json
COPY src/package-lock.json /home/opt/lcc-wn/package-lock.json
RUN cd /home/opt/lcc-wn/ && npm i
COPY src/src.js /home/opt/lcc-wn/src.js
#COPY src/jsdom /home/opt/lcc-wn/jsdom
#COPY src/js_dom_run.js /home/opt/lcc-wn/js_dom_run.js
COPY src/main.py /home/opt/lcc-wn/main.py

CMD ["python3", "main.py"]



